package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: RegisterPersonReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:20
 */
@Data
public class Nft002RegisterPersonRespDto implements Serializable {
    /**
     * 用户唯一标识
     */
    private String userIdentification;
    private static final Nft002RegisterPersonRespDto obj = new Nft002RegisterPersonRespDto();
    public static Nft002RegisterPersonRespDto getNew() {
        try {
            return (Nft002RegisterPersonRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft002RegisterPersonRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
